> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/conversions/create-instant-conversion-client-wallets/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Create an Instant Conversion between Client Wallets POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/clients/conversions/instant-conversion Content-Type: application/json This call triggers an immediate conversion at the market rate, of the debited funds to the credited wallet at the market rate. A quote is not required for an instant conversion. For conversions between Client Wallets, the `Fees` cannot be specified. Reference: https://docs.mangopay.com/api-reference/conversions/create-instant-conversion-client-wallets ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ### Body (application/json) This endpoint expects a CreateAnInstantConversionBetweenClientWalletsRequest. - `DebitedWalletType` (string, required) — **Allowed values:** `FEES`, `CREDIT` The type of the client wallet to be debited: - `FEES` – Fees Wallet, for fees collected by the platform. - `CREDIT` – Repudiation Wallet, for funds related to dispute management. - `DebitedFunds` (CreateAnInstantConversionBetweenClientWalletsRequestDebitedFunds, required) — Information about the debited funds. - `CreditedWalletType` (string, required) — **Allowed values:** `FEES`, `CREDIT` The type of the client wallet to be credited: - `FEES` – Fees Wallet, for fees collected by the platform. - `CREDIT` – Repudiation Wallet, for funds related to dispute management. - `CreditedFunds` (CreateAnInstantConversionBetweenClientWalletsRequestCreditedFunds, required) — Information about the credited funds – the buy currency. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. ## Response ### 200 Success - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Type` (string, optional) — **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT` The type of the transaction. - `Nature` (string, optional) — **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT` The nature of the transaction, providing more information about the context in which the transaction occurred: - `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow. - `REPUDIATION` – Automatic withdrawal of funds from the platform's repudiation wallet as part of the dispute process (when the user has requested a chargeback). - `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay). - `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `Status` (string, optional) — **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the transaction. - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. In a conversion, both the debited and credited wallets are owned by the author. - `DebitedWalletId` (string, optional) — The unique identifier of the debited wallet (in the sell currency). - `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet (in the buy currency). - `DebitedFunds` (InstantConversionClientWalletsResponseDebitedFunds, optional) — Information about the debited funds. - `CreditedFunds` (InstantConversionClientWalletsResponseCreditedFunds, optional) — Information about the credited funds. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. - `ExecutionDate` (integer, optional) — Unix timestamp (UTC) of the date and time the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`. - `ConversionRateResponse` (ConversionRateResponse, optional) — Information about the `MarketRate` used to convert funds and other indicative rates. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. ## Types ### CreateAnInstantConversionBetweenClientWalletsRequestDebitedFunds Information about the debited funds. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, required) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`. ### CreateAnInstantConversionBetweenClientWalletsRequestCreditedFunds Information about the credited funds – the buy currency. - `Currency` (string, required) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. ### InstantConversionClientWalletsResponseDebitedFunds Information about the debited funds. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`). During a conversion, (`DebitedFunds.Amount` - `Fees`) * `MarketRate` = `CreditedFunds.Amount`. ### InstantConversionClientWalletsResponseCreditedFunds Information about the credited funds. - `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount. - `Amount` (integer, optional) — An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`). During a conversion, `CreditedFunds.Amount` = (`DebitedFunds.Amount` - `Fees`) * `MarketRate`. ### ConversionRateResponse Information about the `MarketRate` used to convert funds and other indicative rates. - `ClientRate` (double, optional) — Max. 7 decimal places The indicative rate including Mangopay's markup, used during the billing cycle: `ClientRate` = `MarketRate` * (1 - `MarginsResponse.Mangopay`). The `MarginsResponse.Mangopay.Amount` gives the amount of debited currency that will be billed by Mangopay to your platform for the transaction. The `ClientRate` fluctuates in line with the `MarketRate`. - `MarketRate` (double, optional) — Max. 7 decimal places The rate used to convert funds during the conversion: (`DebitedFunds.Amount` - `Fees`) * `MarketRate` = `CreditedFunds.Amount`. The market rate fluctuates in line with FX market dynamics and is common to all platforms for the currency pair. - `FinalRate` (double, optional) — Max. 7 decimal places The indicative rate including the `UserMargin`, if your platform defined it in the request or the quote: `FinalRate` = `ClientRate` * (1 - `MarginsResponse.User`). The `MarginsResponse.User.Amount` gives the amount of debited currency that your platform could bill to the user for the transaction. If no `UserMargin` was included, the `FinalRate` is the same as the `ClientRate`. ## Examples **Request** ```json { "body": { "CreditedFunds": { "Currency": "USD" }, "CreditedWalletType": "FEES", "DebitedFunds": { "Amount": 5000, "Currency": "EUR" }, "DebitedWalletType": "FEES", "Tag": "Created using Mangopay API Collection Postman" } } ``` **Response** ```json { "Id": "cvr_01J47619CVSEVWZE480Z245AMB", "Type": "CONVERSION", "Nature": "REGULAR", "CreationDate": 1722523100, "Status": "SUCCEEDED", "AuthorId": "client-id", "DebitedWalletId": "FEES_EUR", "CreditedWalletId": "FEES_USD", "DebitedFunds": { "Currency": "EUR", "Amount": 5000 }, "CreditedFunds": { "Currency": "USD", "Amount": 5399 }, "ResultCode": "000000", "ResultMessage": "Success", "ExecutionDate": 1722523101, "ConversionRateResponse": { "ClientRate": 1.071231, "MarketRate": 1.07987 }, "Tag": "Created using Mangopay API Collection Postman" } ```